"""
Observables covered in n-tuples

Felix Metzner 2019
"""

observables = [
    "m2RecoilSignalSide",
    "pStarL",
    "missingMomentum",
    "missingMomentumInBSigRestFrame",
    "missingMomentumInCMSFrame",
    "qSquaredReco",
    "costhetavReco",
    "chi_primeReco",
    "costhetalReco",
    "wReco",
    "qSquaredReco2",
    "qSquaredReco3",
    "qSquaredReco4",
    "qSquaredRecoDStarStar",
    "angleWithMissingMomentum__bo1__cm0__bc",
    "angleWithMissingMomentum__bo1__cm1__bc",
    "angleWithMissingMomentum__bo1__cm2__bc",

    "chiProb",
    "daughter__bo1__cm__spchiProb__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spchiProb__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spchiProb__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spchiProb__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spchiProb__bc__bc",

    "evtNum",
    "runNum",
    "expNum",
    "unique_event_id",
    "unique_candidate_id",

    "extraInfo__boDecayHashExtended__bc",
    "extraInfo__boDecayHash__bc",

    "extraInfo__bodecayModeID__bc",
    "daughter__bo0__cm__spextraInfo__bodecayModeID__bc__bc",
    "daughter__bo1__cm__spextraInfo__bodecayModeID__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spextraInfo__bodecayModeID__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spextraInfo__bodecayModeID__bc__bc__bc__bc",

    "daughter__bo1__cm__spmcDaughter__bo1__cm__spmcDaughter__bo0__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__boPDG__bc__bc__bc",
    "daughter__bo1__cm__spmcDaughter__bo1__cm__spPDG__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcDaughter__bo0__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcDaughter__bo0__cm__spmcDaughter__bo0__cm__spPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcDaughter__bo1__cmPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__bomcDaughter__bo0__cm__spPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__bomcDaughter__bo0__cm__spmcDaughter__bo0__cm__spPDG__bc__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__bomcDaughter__bo1__cmPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__bomcDaughter__bo2__cmPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__bomcDaughter__bo3__cmPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcDaughter__bo0__cm__spmcDaughter__bo1__cm__spPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcDaughter__bo2__cmPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcDaughter__bo3__cmPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__bocharge__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__bomcDaughter__bo0__cm__spmcDaughter__bo1__cm__spPDG__bc__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__bomdstIndex__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomdstIndex__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bocharge__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spmcMother__boPDG__bc__bc__bc",

    "GEN_B1_ID",
    "GEN_B2_ID",
    "SIG_ID",
    "cs_mva_output",

    "M",
    "dM",
    "Q",
    "dQ",
    "InvM",
    "useCMSFrame__bopt__bc",
    "useCMSFrame__bop__bc",

    "Ecms",
    "KLMEnergy",
    "nKLMClusters",
    "nECLClusters",
    "belleECLEnergy",
    "totalEnergyOfParticlesInList__bogamma__clfsp__bc",
    "nCleanedECLClusters__bogoodBelleGamma__sp__eq__eq__sp1__spand__spclusterTrackMatch__sp__eq__eq__sp0__bc",

    "extraInfo__boroeEExtraRank__bc",
    "extraInfo__boroeNEExtraRank__bc",
    "extraInfo__bodeltaERank__bc",
    "daughter__bo0__cm__spextraInfo__boFEIProbabilityRank__bc__bc",
    "extraInfo__boU4SDMesonDeltaMRank__bc",
    "extraInfo__bofeiTagSideSignalProbabilityRank__bc",
    "extraInfo__bovertexFitChiProbabilityRank__bc",

    "extraInfo__bolooseMCMotherPDG__bc",
    "extraInfo__bolooseMCWrongDaughterBiB__bc",
    "extraInfo__bolooseMCWrongDaughterN__bc",
    "extraInfo__bolooseMCWrongDaughterPDG__bc",

    "ROE_charge__boCleanROE__bc",
    "ROE_eextra__boCleanROE__bc",
    "ROE_mbc__boCleanROE__bc",
    "ROE_neextra__boCleanROE__bc",
    "nROE_Tracks__boCleanROE__bc",
    "ROE_deltae__boCleanROE__bc",

    "daughter__bo1__cm__spnROE_Tracks__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_eextra__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_neextra__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_charge__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_deltae__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_mbc__boCleanROE__bc__bc",

    "isSignal",
    "isSignalAcceptMissingNeutrino",
    "daughter__bo1__cm__spisSignalAcceptMissingNeutrino__bc",
    "isExtendedSignal",
    "isPrimarySignal",
    "mcErrors",
    "isNotContinuumEvent",
    "isContinuumEvent",
    "productionIdentifier",

    "mcMissingMassSquared",
    "mcMissingMomentum",
    "mcMissingMomentumInBSigRestFrame",

    "nTracks",
    "daughter__bo0__cm__spnRemainingTracksInEvent__bc",
    "nCleanedTracks__bodr__sp__st__sp2__spand__spabs__bodz__bc__sp__st__sp4__bc",

    "daughter__bo0__cm__spMbc__bc",
    "daughter__bo0__cm__spchiProb__bc",
    "daughter__bo0__cm__spdaughter__bo0__cm__spchiProb__bc__bc",
    "daughter__bo0__cm__spdaughter__bo0__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo0__cm__spdaughter__bo0__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo0__cm__spdaughter__bo1__cm__spchiProb__bc__bc",
    "daughter__bo0__cm__spdaughter__bo1__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo0__cm__spdaughter__bo2__cm__spM__bc__bc",
    "daughter__bo0__cm__spdaughter__bo2__cm__spchiProb__bc__bc",
    "daughter__bo0__cm__spdaughter__bo2__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo0__cm__spdy__bc",
    "daughter__bo0__cm__spdz__bc",
    "daughter__bo0__cm__spextraInfo__boSignalProbability__bc__bc",
    "daughter__bo0__cm__spextraInfo__bolooseMCMotherPDG__bc__bc",
    "daughter__bo0__cm__spextraInfo__bolooseMCWrongDaughterBiB__bc__bc",
    "daughter__bo0__cm__spextraInfo__bolooseMCWrongDaughterN__bc__bc",
    "daughter__bo0__cm__spextraInfo__bolooseMCWrongDaughterPDG__bc__bc",
    "daughter__bo0__cm__spextraInfo__bouniqueSignal__bc__bc",
    "daughter__bo0__cm__spisSignalAcceptMissingNeutrino__bc",
    "daughter__bo0__cm__spisSignal__bc",
    "daughter__bo0__cm__spmatchedMC__boPDG__bc__bc",
    "daughter__bo0__cm__spmatchedMC__bocharge__bc__bc",
    "daughter__bo0__cm__spmcErrors__bc",
    "daughter__bo0__cm__spuseCMSFrame__bop__bc__bc",
    "daughter__bo0__cm__spuseCMSFrame__bopt__bc__bc",
    "daughter__bo0__cm__spPDG__bc",
    "daughter__bo0__cm__spcharge__bc",
    "daughter__bo0__cm__spcosThetaBetweenParticleAndTrueB__bc",
    "daughter__bo0__cm__spdaughter__bo0__cm__spM__bc__bc",
    "daughter__bo0__cm__spdaughter__bo1__cm__spM__bc__bc",
    "daughter__bo0__cm__spdaughter__bo2__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo0__cm__spdeltaE__bc",
    "daughter__bo0__cm__spdx__bc",
    "daughter__bo0__cm__spisExtendedSignal__bc",
    "daughter__bo0__cm__spisPrimarySignal__bc",
    "daughter__bo0__cm__spdaughter__bo1__cm__spuseCMSFrame__bopt__bc__bc__bc",

    "daughter__bo1__cm__spMbc__bc",
    "daughter__bo1__cm__spPDG__bc",
    "daughter__bo1__cm__spcharge__bc",
    "daughter__bo1__cm__spcosTBTO__bc",
    "daughter__bo1__cm__spcosTBz__bc",
    "daughter__bo1__cm__spdM__bc",
    "daughter__bo1__cm__spdQ__bc",
    "daughter__bo1__cm__spdecayAngle__bo0__bc__bc",
    "daughter__bo1__cm__spdeltaE__bc",
    "daughter__bo1__cm__spextraInfo__bolooseMCMotherPDG__bc__bc",
    "daughter__bo1__cm__spextraInfo__bolooseMCWrongDaughterN__bc__bc",
    "daughter__bo1__cm__spextraInfo__bolooseMCWrongDaughterPDG__bc__bc",
    "daughter__bo1__cm__spformula__bodaughterInvM__bo0__cm__sp2__bc__sp__mi__spdaughter__bo0__cm__spInvM__bc__bc__bc",
    "daughter__bo1__cm__spisPrimarySignal__bc",
    "daughter__bo1__cm__spisSignal__bc",
    "daughter__bo1__cm__spmatchedMC__boPDG__bc__bc",
    "daughter__bo1__cm__spmatchedMC__bocharge__bc__bc",
    "daughter__bo1__cm__spmatchedMC__bopx__bc__bc",
    "daughter__bo1__cm__spmcErrors__bc",
    "daughter__bo1__cm__sppx__bc",
    "daughter__bo1__cm__sppz__bc",
    "daughter__bo1__cm__spthrustOm__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterAngleInBetween__bo0__cm__sp1__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterAngleInBetween__bo0__cm__sp2__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterAngle__bo0__cm__sp2__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterDiffOfPhi__bo0__cm__sp2__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughter__bo1__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughter__bo2__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bopt__bc__bc",
    "daughter__bo1__cm__spuseRestFrame__bodaughter__bo0__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spuseRestFrame__bodaughter__bo1__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spuseRestFrame__bodaughter__bo2__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spM__bc",
    "daughter__bo1__cm__spQ__bc",
    "daughter__bo1__cm__spcosThetaBetweenParticleAndTrueB__bc",
    "daughter__bo1__cm__spdaughterInvM__bo0__cm__sp2__bc__bc",
    "daughter__bo1__cm__spE__bc",
    "daughter__bo1__cm__spInvM__bc",
    "daughter__bo1__cm__spisExtendedSignal__bc",
    "daughter__bo1__cm__sppy__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterDiffOfPhi__bo0__cm__sp1__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughter__bo0__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spdecayAngle__bo1__bc__bc",
    "daughter__bo1__cm__spextraInfo__bolooseMCWrongDaughterBiB__bc__bc",
    "daughter__bo1__cm__spmatchedMC__boE__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterAngle__bo0__cm__sp1__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bop__bc__bc",

    "daughter__bo1__cm__spR2__bc",
    "daughter__bo1__cm__spthrustBm__bc",
    "daughter__bo1__cm__spCleoCone__bo5__bc__bc",
    "daughter__bo1__cm__spCleoCone__bo2__bc__bc",
    "daughter__bo1__cm__spCleoCone__bo3__bc__bc",
    "daughter__bo1__cm__spCleoCone__bo6__bc__bc",
    "daughter__bo1__cm__spCleoCone__bo7__bc__bc",
    "daughter__bo1__cm__spCleoCone__bo1__bc__bc",
    "daughter__bo1__cm__spCleoCone__bo4__bc__bc",
    "daughter__bo1__cm__spCleoCone__bo8__bc__bc",
    "daughter__bo1__cm__spCleoCone__bo9__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohoo1__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohoo2__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohoo4__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohso02__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__boet__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohso00__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohoo0__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohoo3__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohso04__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohso10__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohso12__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohso14__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohso20__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohso22__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bohso24__bc__bc",
    "daughter__bo1__cm__spKSFWVariables__bomm2__bc__bc",

    "daughter__bo1__cm__spdaughter__bo0__cm__spE__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spInvM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spPDG__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spabs__boSigM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughterInvariantMass__bo0__cm__sp1__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughterMotherDiffOf__bo0__cm__spM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spInvM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spabs__boSigM__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdQ__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spp__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sppx__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sppz__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sptheta__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spp__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__sppx__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__sppy__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__sppz__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spp__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__sppx__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__sppz__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__sptheta__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spp__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__sppx__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__sppy__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__sptheta__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__sppz__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdr__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdz__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spisPrimarySignal__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spisSignal__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spmatchedMC__boE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sppt__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sppx__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sppy__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sppz__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sptheta__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spuseCMSFrame__bop__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spuseCMSFrame__bopt__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spE__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__sppy__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__sppz__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__sptheta__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spE__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__sppx__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__sppy__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__sppz__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spE__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__sppx__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__sppz__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__sptheta__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spE__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__sppy__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdr__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spisPrimarySignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spisSignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spmatchedMC__boE__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spmatchedMC__boPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spmcErrors__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spp__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__sppx__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__sppy__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__sptheta__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spE__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spdQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__speIDBelle__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spisSignalAcceptMissingNeutrino__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spisSignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcErrors__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmuIDBelle__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spnCDCHits__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppt__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppy__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spInvM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spPDG__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughterAngle__bo0__cm1__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughter__bo0__cm__spclusterE9E21__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughter__bo0__cm__spgoodBelleGamma__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughter__bo1__cm__spclusterE9E21__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughter__bo1__cm__spgoodBelleGamma__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spformula__bodaughterDiffOf__bo0__cm__sp1__cm__spE__bc__sp__sl__spdaughterSumOf__boE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spisPrimarySignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spisSignalAcceptMissingNeutrino__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spisSignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spmatchedMC__boPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spmcErrors__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spp__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spuseCMSFrame__bodaughterAngle__bo0__cm1__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spuseRestFrame__bodaughterAngle__bo0__cm1__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spabs__boSigMBF__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spE__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spQ__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spabs__boSigMBF__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sppy__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__sptheta__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__sppy__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__sppz__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__sppy__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__sptheta__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spisExtendedSignal__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spisSignalAcceptMissingNeutrino__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spmcErrors__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__sppx__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__sptheta__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__sppy__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__sppx__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__sppz__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__sptheta__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdz__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spisSignalAcceptMissingNeutrino__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__sppt__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spatcPIDBelle__bo2__cm3__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spatcPIDBelle__bo3__cm2__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spdM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spdz__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spisExtendedSignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spisPrimarySignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spkIDBelle__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spnSVDHits__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppValue__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppx__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppz__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spabs__boSigMBF__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spp__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__sppx__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spisExtendedSignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__sppz__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spInvM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spPDG__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spdr__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmatchedMC__boPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmuIDBelleQuality__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spp__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sptheta__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sptrackCurlerCloneIndicator__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughterInvariantMass__bo0__cm__sp1__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spisExtendedSignal__bc__bc",

    "genUpsilon4S__bomcDaughter__bo0__cm__spE__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spPDG__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spcosthetavMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo0__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo1__cmmcDaughter__bo1__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo3__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spPDG__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo1__cmmcDaughter__bo0__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo1__cmmcDaughter__bo1__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo2__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo3__cmPDG__bc__bc__bc",
    "genUpsilon4S__boPDG__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spcharge__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spchi_primeMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spcosthetalMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo0__cmmcDaughter__bo0__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo0__cmmcDaughter__bo1__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo1__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo1__cmmcDaughter__bo0__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo2__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmdstIndex__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spqSquaredMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spwMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spE__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spcharge__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spchi_primeMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spcosthetalMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spcosthetavMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo0__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo0__cmmcDaughter__bo0__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo0__cmmcDaughter__bo1__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmdstIndex__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spqSquaredMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spwMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo1__cmPDG__bc__bc__bc",

    "__weight_pid__",
    "__weight_pid_cor_dd_0_ratio__",
    "__weight_pid_cor_dd_0_stat_uncertainty__",
    "__weight_pid_cor_dd_0_sys_uncertainty__",
    "__weight_pid_cor_dd_1_ratio__",
    "__weight_pid_cor_dd_1_stat_uncertainty__",
    "__weight_pid_cor_dd_1_sys_uncertainty__",
    "__weight_pid_cor_dd_2_ratio__",
    "__weight_pid_cor_dd_2_stat_uncertainty__",
    "__weight_pid_cor_dd_2_sys_uncertainty__",
    "__weight_pid_cor_dd_3_ratio__",
    "__weight_pid_cor_dd_3_stat_uncertainty__",
    "__weight_pid_cor_dd_3_sys_uncertainty__",
    "__weight_pid_cor_dd_4_ratio__",
    "__weight_pid_cor_dd_4_stat_uncertainty__",
    "__weight_pid_cor_dd_4_sys_uncertainty__",
    "__weight_pid_cor_dst_pi_ratio__",
    "__weight_pid_cor_dst_pi_stat_uncertainty__",
    "__weight_pid_cor_dst_pi_sys_uncertainty__",
    "__weight_pid_cor_lepton_ratio__",
    "__weight_pid_cor_lepton_stat_uncertainty__",
    "__weight_pid_cor_lepton_sys_uncertainty__",

    "weight_ff_btod_nom",
    "weight_ff_btod_var_0_down",
    "weight_ff_btod_var_0_up",
    "weight_ff_btod_var_1_down",
    "weight_ff_btod_var_1_up",
    "weight_ff_btod_var_2_down",
    "weight_ff_btod_var_2_up",
    "weight_ff_btod_var_3_down",
    "weight_ff_btod_var_3_up",
    "weight_ff_btod_var_4_down",
    "weight_ff_btod_var_4_up",
    "weight_ff_btodst_nom",
    "weight_ff_btodst_var_0_down",
    "weight_ff_btodst_var_0_up",
    "weight_ff_btodst_var_1_down",
    "weight_ff_btodst_var_1_up",
    "weight_ff_btodst_var_2_down",
    "weight_ff_btodst_var_2_up",
    "weight_ff_btodst_var_3_down",
    "weight_ff_btodst_var_3_up",
    "weight_ff_btodst_var_4_down",
    "weight_ff_btodst_var_4_up",
    "weight_ff_btodst_var_5_down",
    "weight_ff_btodst_var_5_up",
    "weight_ff_Dzerostar_nom",
    "weight_ff_Dzerostar_var_0_up",
    "weight_ff_Dzerostar_var_0_down",
    "weight_ff_Dzerostar_var_1_up",
    "weight_ff_Dzerostar_var_1_down",
    "weight_ff_Dzerostar_var_2_up",
    "weight_ff_Dzerostar_var_2_down",
    "weight_ff_Dprimeone_nom",
    "weight_ff_Dprimeone_var_0_up",
    "weight_ff_Dprimeone_var_0_down",
    "weight_ff_Dprimeone_var_1_up",
    "weight_ff_Dprimeone_var_1_down",
    "weight_ff_Dprimeone_var_2_up",
    "weight_ff_Dprimeone_var_2_down",
    "weight_ff_Done_nom",
    "weight_ff_Done_var_0_up",
    "weight_ff_Done_var_0_down",
    "weight_ff_Done_var_1_up",
    "weight_ff_Done_var_1_down",
    "weight_ff_Done_var_2_up",
    "weight_ff_Done_var_2_down",
    "weight_ff_Done_var_3_up",
    "weight_ff_Done_var_3_down",
    "weight_ff_Dtwostar_nom",
    "weight_ff_Dtwostar_var_0_up",
    "weight_ff_Dtwostar_var_0_down",
    "weight_ff_Dtwostar_var_1_up",
    "weight_ff_Dtwostar_var_1_down",
    "weight_ff_Dtwostar_var_2_up",
    "weight_ff_Dtwostar_var_2_down",
    "weight_ff_Dtwostar_var_3_up",
    "weight_ff_Dtwostar_var_3_down",
    "__weight_ff__",

    "__scaling_corr__",

    "__weight__",
]


observables_to_keep = [
    "m2RecoilSignalSide",
    "pStarL",
    "missingMomentum",
    "missingMomentumInBSigRestFrame",
    "missingMomentumInCMSFrame",
    "qSquaredReco",
    "costhetavReco",
    "chi_primeReco",
    "costhetalReco",
    "wReco",
    "qSquaredReco2",
    "qSquaredReco3",
    "qSquaredReco4",
    "qSquaredRecoDStarStar",
    "angleWithMissingMomentum__bo1__cm0__bc",
    "angleWithMissingMomentum__bo1__cm1__bc",
    "angleWithMissingMomentum__bo1__cm2__bc",

    "chiProb",
    "daughter__bo1__cm__spchiProb__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spchiProb__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spchiProb__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spchiProb__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spchiProb__bc__bc",

    "expNum",
    "evtNum",
    "runNum",
    "unique_event_id",
    "unique_candidate_id",

    "extraInfo__boDecayHashExtended__bc",
    "extraInfo__boDecayHash__bc",

    "extraInfo__bodecayModeID__bc",
    "daughter__bo0__cm__spextraInfo__bodecayModeID__bc__bc",
    "daughter__bo1__cm__spextraInfo__bodecayModeID__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spextraInfo__bodecayModeID__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spextraInfo__bodecayModeID__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomcMother__bomdstIndex__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__bomdstIndex__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmcMother__boPDG__bc__bc__bc",

    "GEN_B1_ID",
    "GEN_B2_ID",
    "SIG_ID",
    "cs_mva_output",

    "M",
    "dM",
    "Q",
    "dQ",
    "InvM",
    "useCMSFrame__bopt__bc",
    "useCMSFrame__bop__bc",

    "Ecms",
    "nECLClusters",
    "belleECLEnergy",
    "totalEnergyOfParticlesInList__bogamma__clfsp__bc",
    "nCleanedECLClusters__bogoodBelleGamma__sp__eq__eq__sp1__spand__spclusterTrackMatch__sp__eq__eq__sp0__bc",

    "ROE_charge__boCleanROE__bc",
    "ROE_eextra__boCleanROE__bc",
    "ROE_mbc__boCleanROE__bc",
    "ROE_neextra__boCleanROE__bc",
    "nROE_Tracks__boCleanROE__bc",
    "ROE_deltae__boCleanROE__bc",

    "daughter__bo1__cm__spnROE_Tracks__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_eextra__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_neextra__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_charge__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_deltae__boCleanROE__bc__bc",
    "daughter__bo1__cm__spROE_mbc__boCleanROE__bc__bc",

    "isSignal",
    "isSignalAcceptMissingNeutrino",
    "daughter__bo1__cm__spisSignalAcceptMissingNeutrino__bc",
    "isExtendedSignal",
    "isPrimarySignal",
    "mcErrors",
    "isNotContinuumEvent",
    "isContinuumEvent",
    "productionIdentifier",

    "mcMissingMassSquared",
    "mcMissingMomentum",
    "mcMissingMomentumInBSigRestFrame",

    "nTracks",
    "daughter__bo0__cm__spnRemainingTracksInEvent__bc",
    "nCleanedTracks__bodr__sp__st__sp2__spand__spabs__bodz__bc__sp__st__sp4__bc",

    "daughter__bo0__cm__spMbc__bc",
    "daughter__bo0__cm__spchiProb__bc",
    "daughter__bo0__cm__spdaughter__bo0__cm__spchiProb__bc__bc",
    "daughter__bo0__cm__spdaughter__bo0__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo0__cm__spdaughter__bo0__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo0__cm__spdaughter__bo1__cm__spchiProb__bc__bc",
    "daughter__bo0__cm__spdaughter__bo1__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo0__cm__spdaughter__bo2__cm__spM__bc__bc",
    "daughter__bo0__cm__spdaughter__bo2__cm__spchiProb__bc__bc",
    "daughter__bo0__cm__spdaughter__bo2__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo0__cm__spextraInfo__boSignalProbability__bc__bc",
    "daughter__bo0__cm__spextraInfo__bouniqueSignal__bc__bc",
    "daughter__bo0__cm__spisSignalAcceptMissingNeutrino__bc",
    "daughter__bo0__cm__spisSignal__bc",
    "daughter__bo0__cm__spmatchedMC__boPDG__bc__bc",
    "daughter__bo0__cm__spmcErrors__bc",
    "daughter__bo0__cm__spuseCMSFrame__bop__bc__bc",
    "daughter__bo0__cm__spuseCMSFrame__bopt__bc__bc",
    "daughter__bo0__cm__spPDG__bc",
    "daughter__bo0__cm__spcosThetaBetweenParticleAndTrueB__bc",
    "daughter__bo0__cm__spdaughter__bo0__cm__spM__bc__bc",
    "daughter__bo0__cm__spdaughter__bo1__cm__spM__bc__bc",
    "daughter__bo0__cm__spdaughter__bo2__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo0__cm__spdeltaE__bc",
    "daughter__bo0__cm__spisExtendedSignal__bc",
    "daughter__bo0__cm__spisPrimarySignal__bc",
    "daughter__bo0__cm__spdaughter__bo1__cm__spuseCMSFrame__bopt__bc__bc__bc",

    "daughter__bo1__cm__spMbc__bc",
    "daughter__bo1__cm__spPDG__bc",
    "daughter__bo1__cm__spdM__bc",
    "daughter__bo1__cm__spdQ__bc",
    "daughter__bo1__cm__spdecayAngle__bo0__bc__bc",
    "daughter__bo1__cm__spdeltaE__bc",
    "daughter__bo1__cm__spextraInfo__bolooseMCMotherPDG__bc__bc",
    "daughter__bo1__cm__spextraInfo__bolooseMCWrongDaughterN__bc__bc",
    "daughter__bo1__cm__spextraInfo__bolooseMCWrongDaughterPDG__bc__bc",
    "daughter__bo1__cm__spformula__bodaughterInvM__bo0__cm__sp2__bc__sp__mi__spdaughter__bo0__cm__spInvM__bc__bc__bc",
    "daughter__bo1__cm__spmatchedMC__boPDG__bc__bc",
    "daughter__bo1__cm__spmatchedMC__bopx__bc__bc",
    "daughter__bo1__cm__spmcErrors__bc",
    "daughter__bo1__cm__sppx__bc",
    "daughter__bo1__cm__sppz__bc",
    "daughter__bo1__cm__spthrustOm__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterAngleInBetween__bo0__cm__sp1__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterAngleInBetween__bo0__cm__sp2__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterAngle__bo0__cm__sp2__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterDiffOfPhi__bo0__cm__sp2__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughter__bo1__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughter__bo2__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bopt__bc__bc",
    "daughter__bo1__cm__spuseRestFrame__bodaughter__bo0__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spuseRestFrame__bodaughter__bo1__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spuseRestFrame__bodaughter__bo2__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spM__bc",
    "daughter__bo1__cm__spQ__bc",
    "daughter__bo1__cm__spcosThetaBetweenParticleAndTrueB__bc",
    "daughter__bo1__cm__spdaughterInvM__bo0__cm__sp2__bc__bc",
    "daughter__bo1__cm__spE__bc",
    "daughter__bo1__cm__spInvM__bc",
    "daughter__bo1__cm__sppy__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterDiffOfPhi__bo0__cm__sp1__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughter__bo0__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spdecayAngle__bo1__bc__bc",
    "daughter__bo1__cm__spextraInfo__bolooseMCWrongDaughterBiB__bc__bc",
    "daughter__bo1__cm__spmatchedMC__boE__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bodaughterAngle__bo0__cm__sp1__bc__bc__bc",
    "daughter__bo1__cm__spuseCMSFrame__bop__bc__bc",

    "daughter__bo1__cm__spdaughter__bo0__cm__spE__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spInvM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spabs__boSigM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughterInvariantMass__bo0__cm__sp1__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughterMotherDiffOf__bo0__cm__spM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spInvM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spabs__boSigM__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdM__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdQ__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spp__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spp__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spp__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spp__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spisSignal__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__sppt__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spuseCMSFrame__bop__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spuseCMSFrame__bopt__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spE__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spp__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spisSignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spp__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__sptheta__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spE__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spdQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spisSignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spnCDCHits__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppt__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppy__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spInvM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spPDG__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughterAngle__bo0__cm1__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughter__bo0__cm__spclusterE9E21__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughter__bo0__cm__spgoodBelleGamma__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughter__bo1__cm__spclusterE9E21__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughter__bo1__cm__spgoodBelleGamma__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spformula__bodaughterDiffOf__bo0__cm__sp1__cm__spE__bc__sp__sl__spdaughterSumOf__boE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spisSignal__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spp__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spuseCMSFrame__bodaughterAngle__bo0__cm1__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spuseRestFrame__bodaughterAngle__bo0__cm1__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spabs__boSigMBF__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spE__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spQ__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spabs__boSigMBF__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__sppt__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spdM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spnSVDHits__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppValue__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppx__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sppz__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spabs__boSigMBF__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spE__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spuseCMSFrame__bop__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spuseCMSFrame__bopt__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spInvM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spp__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sptheta__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__sptrackCurlerCloneIndicator__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spM__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdQ__bc__bc",
    "daughter__bo1__cm__spdaughter__bo2__cm__spdaughterInvariantMass__bo0__cm__sp1__bc__bc__bc",

    "daughter__bo1__cm__spdaughter__bo0__cm__spPDG__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spmatchedMC__boPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spPDG__bc__bc",
    "daughter__bo1__cm__spdaughter__bo1__cm__spmatchedMC__boPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spPDG__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spmatchedMC__boPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo1__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo2__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo3__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spPDG__bc__bc__bc__bc",
    "daughter__bo1__cm__spdaughter__bo0__cm__spdaughter__bo0__cm__spdaughter__bo4__cm__spmatchedMC__boPDG__bc__bc__bc__bc__bc",

    "genUpsilon4S__bomcDaughter__bo0__cm__spE__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spPDG__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spcosthetavMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo0__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo1__cmmcDaughter__bo1__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo3__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spPDG__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo1__cmmcDaughter__bo0__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo1__cmmcDaughter__bo1__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo2__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo3__cmPDG__bc__bc__bc",
    "genUpsilon4S__boPDG__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spcharge__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spchi_primeMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spcosthetalMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo0__cmmcDaughter__bo0__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo0__cmmcDaughter__bo1__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo1__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo1__cmmcDaughter__bo0__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmcDaughter__bo2__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spmdstIndex__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spqSquaredMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo0__cm__spwMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spE__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spcharge__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spchi_primeMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spcosthetalMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spcosthetavMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo0__cmPDG__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo0__cmmcDaughter__bo0__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo0__cmmcDaughter__bo1__cmPDG__bc__bc__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmdstIndex__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spqSquaredMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spwMC__bc__bc",
    "genUpsilon4S__bomcDaughter__bo1__cm__spmcDaughter__bo1__cmPDG__bc__bc__bc",

    "__weight_pid__",
    "__weight_pid_cor_dd_0_ratio__",
    "__weight_pid_cor_dd_0_stat_uncertainty__",
    "__weight_pid_cor_dd_0_sys_uncertainty__",
    "__weight_pid_cor_dd_1_ratio__",
    "__weight_pid_cor_dd_1_stat_uncertainty__",
    "__weight_pid_cor_dd_1_sys_uncertainty__",
    "__weight_pid_cor_dd_2_ratio__",
    "__weight_pid_cor_dd_2_stat_uncertainty__",
    "__weight_pid_cor_dd_2_sys_uncertainty__",
    "__weight_pid_cor_dd_3_ratio__",
    "__weight_pid_cor_dd_3_stat_uncertainty__",
    "__weight_pid_cor_dd_3_sys_uncertainty__",
    "__weight_pid_cor_dd_4_ratio__",
    "__weight_pid_cor_dd_4_stat_uncertainty__",
    "__weight_pid_cor_dd_4_sys_uncertainty__",
    "__weight_pid_cor_dst_pi_ratio__",
    "__weight_pid_cor_dst_pi_stat_uncertainty__",
    "__weight_pid_cor_dst_pi_sys_uncertainty__",
    "__weight_pid_cor_lepton_ratio__",
    "__weight_pid_cor_lepton_stat_uncertainty__",
    "__weight_pid_cor_lepton_sys_uncertainty__",

    "weight_ff_btod_nom",
    "weight_ff_btod_var_0_down",
    "weight_ff_btod_var_0_up",
    "weight_ff_btod_var_1_down",
    "weight_ff_btod_var_1_up",
    "weight_ff_btod_var_2_down",
    "weight_ff_btod_var_2_up",
    "weight_ff_btod_var_3_down",
    "weight_ff_btod_var_3_up",
    "weight_ff_btod_var_4_down",
    "weight_ff_btod_var_4_up",
    "weight_ff_btodst_nom",
    "weight_ff_btodst_var_0_down",
    "weight_ff_btodst_var_0_up",
    "weight_ff_btodst_var_1_down",
    "weight_ff_btodst_var_1_up",
    "weight_ff_btodst_var_2_down",
    "weight_ff_btodst_var_2_up",
    "weight_ff_btodst_var_3_down",
    "weight_ff_btodst_var_3_up",
    "weight_ff_btodst_var_4_down",
    "weight_ff_btodst_var_4_up",
    "weight_ff_btodst_var_5_down",
    "weight_ff_btodst_var_5_up",
    "weight_ff_Dzerostar_nom",
    "weight_ff_Dzerostar_var_0_up",
    "weight_ff_Dzerostar_var_0_down",
    "weight_ff_Dzerostar_var_1_up",
    "weight_ff_Dzerostar_var_1_down",
    "weight_ff_Dzerostar_var_2_up",
    "weight_ff_Dzerostar_var_2_down",
    "weight_ff_Dprimeone_nom",
    "weight_ff_Dprimeone_var_0_up",
    "weight_ff_Dprimeone_var_0_down",
    "weight_ff_Dprimeone_var_1_up",
    "weight_ff_Dprimeone_var_1_down",
    "weight_ff_Dprimeone_var_2_up",
    "weight_ff_Dprimeone_var_2_down",
    "weight_ff_Done_nom",
    "weight_ff_Done_var_0_up",
    "weight_ff_Done_var_0_down",
    "weight_ff_Done_var_1_up",
    "weight_ff_Done_var_1_down",
    "weight_ff_Done_var_2_up",
    "weight_ff_Done_var_2_down",
    "weight_ff_Done_var_3_up",
    "weight_ff_Done_var_3_down",
    "weight_ff_Dtwostar_nom",
    "weight_ff_Dtwostar_var_0_up",
    "weight_ff_Dtwostar_var_0_down",
    "weight_ff_Dtwostar_var_1_up",
    "weight_ff_Dtwostar_var_1_down",
    "weight_ff_Dtwostar_var_2_up",
    "weight_ff_Dtwostar_var_2_down",
    "weight_ff_Dtwostar_var_3_up",
    "weight_ff_Dtwostar_var_3_down",
    "__weight_ff__",

    "__scaling_corr__",

    "__weight__",
]

observables_to_discard = list(set(observables) - set(observables_to_keep))


if __name__ == "__main__":
    print(len(observables))
    print(len(observables_to_keep))
    print(len(observables_to_discard))
