# Low Level Cut Study

The low level cut study consists of two parts:
1. The online part, where the needed n-tuples are produced
2. The offline part, where the low level cuts are evaluated

## How to run the study?
1. First you have to run the n-tuple production. Therefore run 
    ```shell script
    python3 rdstar/batch_jobs/your_job_handler.py --batch
    ```
    on KEKCC. This is similar to the default online analysis. Note that you have to add the batch configs you need for 
    your study to the job-handler first.
2. After the online part is finished and the n-tuples are produced you can run the offline part by calling
    ```shell script
   python3 rdstar/studies/low_level_cut_study.py
    ```
## Configuration
Besides the typical configuration options, which are similar to the default rdstar options, there are several other 
options that can be configured for the low-level-cut study:

- You can find the basic configs for the study under ```rdstar/studies/low_level_cut_study/configs```. These configs are
analogous to the default rdstar configs.
- In principal there is no need to define the cuts for this study by hand, cause the study takes the cuts defined in the
 default rdstar project and scales them. Nevertheless if you want to adjust some of these cuts per hand you can do this 
 either in ```low_level_cut_study/utilities/decay_channels_cut_study.py``` for reconstructed particles or in 
 ```low_level_cut_study/utilities/final_state_particles_cut_study.py``` for final state particles.
 - In case you are adding additional particles to either the reconstruction or the final state particles, make sure to
  also update the dictionaries defined in ```low_level_cut_study/utilities/low_level_cut_definitions.py``` and add them
  to the n-tuple production in the reconstruction scripts.

Notice: There is no need to update the batch configs in ```rdstar/configs``` cause they are soft-linked to the configs
defined in this study.
